javax.websocket

## Interface Encoder.BinaryStream<T>

- All Superinterfaces:
    Encoder
  Enclosing interface:
    Encoder

      public static interface Encoder.BinaryStream<T>
      extends Encoder

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from interface javax.websocket.Encoder

      `Encoder.Binary<T>, Encoder.BinaryStream<T>, Encoder.Text<T>, Encoder.TextStream<T>`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `encode(T object, java.io.OutputStream os)`

    - ### Methods inherited from interface javax.websocket.Encoder

      `destroy, init`

- - ### Method Detail

    - #### encode

          void encode(T object,
                    java.io.OutputStream os)
                      throws EncodeException,
                             java.io.IOException

      Throws:
        `EncodeException`
        `java.io.IOException`

Copyright © 2000-2017 Apache Software Foundation. All Rights Reserved.